> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all agents



## OpenAPI

````yaml get /agency/agents/all
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/agents/all:
    get:
      tags:
        - Outbound Agents
      summary: Get all agents
      operationId: AgentsController_getAllPageAgents
      parameters:
        - name: page
          required: false
          in: query
          description: Page number for pagination
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Limit of items per page
          schema:
            type: number
        - name: sort_key
          required: false
          in: query
          description: Sort key
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: Search
          schema:
            type: string
        - name: sort_value
          required: false
          in: query
          description: Sort order
          schema:
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          description: Returns all agents
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````